diff agent/make/saenv.sh @ 14909:4ca6dc0799b6

Backout jdk9 merge
author Gilles Duboscq <duboscq@ssw.jku.at>
date Tue, 01 Apr 2014 13:57:07 +0200
parents 4fe850c65ed1
children
line wrap: on
line diff
--- a/agent/make/saenv.sh	Tue Apr 01 14:09:03 2014 +0200
+++ b/agent/make/saenv.sh	Tue Apr 01 13:57:07 2014 +0200
@@ -48,17 +48,16 @@
      CPU=i386
    fi
 else
-   # configure audit helper library for solaris
-   LD_AUDIT_32=$STARTDIR/../src/os/solaris/proc/`uname -p`/libsaproc_audit.so
-   if [ ! -f $LD_AUDIT_32 ]; then
-     LD_AUDIT_32=$STARTDIR/solaris/`uname -p`/libsaproc_audit.so
-   fi  
-   if [ ! -f $LD_AUDIT_32 ]; then
-      echo "Can't find libsaproc_audit.so."
-      echo "Make sure to build it with 'make natives'."
-      exit 1
+   # configure audit helper library if SA_ALTROOT is set
+   if [ -n "$SA_ALTROOT" ]; then
+     LD_AUDIT_32=$STARTDIR/../src/os/solaris/proc/`uname -p`/libsaproc_audit.so
+     export LD_AUDIT_32
+     if [ ! -f $LD_AUDIT_32 ]; then
+       echo "SA_ALTROOT is set and can't find libsaproc_audit.so."
+       echo "Make sure to build it with 'make natives'."
+       exit 1
+     fi
    fi
-   export LD_AUDIT_32
    SA_LIBPATH=$STARTDIR/../src/os/solaris/proc/`uname -p`:$STARTDIR/solaris/`uname -p`
    OPTIONS="-Dsa.library.path=$SA_LIBPATH -Dsun.jvm.hotspot.debugger.useProcDebugger"
    CPU=sparc